Continue a repository authoring conversation
curl --request POST \
--url https://api.firedrill.run/v1/projects/{projectId}/authoring-sessions/{authoringSessionId}/turns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"prompt": "<string>",
"model": "sonnet",
"effort": "high",
"maxTurns": 40,
"maxBudgetUsd": 2,
"timeoutMs": 900000
}
'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/authoring-sessions/{authoringSessionId}/turns"
payload = {
"prompt": "<string>",
"model": "sonnet",
"effort": "high",
"maxTurns": 40,
"maxBudgetUsd": 2,
"timeoutMs": 900000
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
prompt: '<string>',
model: 'sonnet',
effort: 'high',
maxTurns: 40,
maxBudgetUsd: 2,
timeoutMs: 900000
})
};
fetch('https://api.firedrill.run/v1/projects/{projectId}/authoring-sessions/{authoringSessionId}/turns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session": {
"schemaVersion": 1,
"authoringSessionId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"repositoryBindingId": "<string>",
"createdBy": "<string>",
"branch": "<string>",
"baseRevision": "<string>",
"state": "active",
"version": 0,
"createdAtMs": 0,
"updatedAtMs": 0,
"activeTurnId": "<string>",
"currentProposalId": "<string>",
"closedAtMs": 0
},
"turn": {
"schemaVersion": 1,
"authoringTurnId": "<string>",
"authoringSessionId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"sequence": 4503599627370495,
"prompt": "<string>",
"model": "opus",
"effort": "low",
"maxTurns": 100,
"maxBudgetUsd": 500,
"timeoutMs": 3600500,
"state": "queued",
"operationId": "<string>",
"createdAtMs": 0,
"proposalId": "<string>",
"agentSessionId": "<string>",
"actualModel": "<string>",
"turnsUsed": 100,
"durationMs": 0,
"estimatedCostUsd": 499999.9999995,
"resultText": "<string>",
"error": {
"schemaVersion": 1,
"code": "<string>",
"source": "framework",
"message": "<string>",
"retryable": true,
"issues": [],
"correlationId": "<string>",
"details": {},
"evidence": {
"runId": "<string>",
"sequence": 4503599627370495
}
},
"cancelRequestedAtMs": 0,
"startedAtMs": 0,
"finishedAtMs": 0
},
"operation": {
"schemaVersion": 1,
"operationId": "<string>",
"organizationId": "<string>",
"kind": "<string>",
"state": "pending",
"idempotencyKey": "<string>",
"requestHash": "<string>",
"createdAtMs": 0,
"updatedAtMs": 0,
"projectId": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"error": {
"schemaVersion": 1,
"code": "<string>",
"source": "framework",
"message": "<string>",
"retryable": true,
"issues": [],
"correlationId": "<string>",
"details": {},
"evidence": {
"runId": "<string>",
"sequence": 4503599627370495
}
},
"result": {
"schemaVersion": 1,
"kind": "world.time.advance",
"operationId": "<string>",
"sessionId": "<string>",
"leaseGeneration": 4503599627370495,
"buildHash": "<string>",
"correlationId": "<string>",
"requestedUs": 0,
"startedUs": 0,
"reachedUs": 0,
"maxEvents": 500000,
"scheduledEventsProcessed": 0,
"evidenceBeforeSequence": 0,
"evidenceAfterSequence": 0,
"status": "completed",
"eventBudgetExhausted": true,
"failure": {
"code": "<string>",
"message": "<string>",
"scheduledEventId": "<string>"
}
},
"cancelRequestedAtMs": 0,
"startedAtMs": 0,
"finishedAtMs": 0
}
}{
"session": {
"schemaVersion": 1,
"authoringSessionId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"repositoryBindingId": "<string>",
"createdBy": "<string>",
"branch": "<string>",
"baseRevision": "<string>",
"state": "active",
"version": 0,
"createdAtMs": 0,
"updatedAtMs": 0,
"activeTurnId": "<string>",
"currentProposalId": "<string>",
"closedAtMs": 0
},
"turn": {
"schemaVersion": 1,
"authoringTurnId": "<string>",
"authoringSessionId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"sequence": 4503599627370495,
"prompt": "<string>",
"model": "opus",
"effort": "low",
"maxTurns": 100,
"maxBudgetUsd": 500,
"timeoutMs": 3600500,
"state": "queued",
"operationId": "<string>",
"createdAtMs": 0,
"proposalId": "<string>",
"agentSessionId": "<string>",
"actualModel": "<string>",
"turnsUsed": 100,
"durationMs": 0,
"estimatedCostUsd": 499999.9999995,
"resultText": "<string>",
"error": {
"schemaVersion": 1,
"code": "<string>",
"source": "framework",
"message": "<string>",
"retryable": true,
"issues": [],
"correlationId": "<string>",
"details": {},
"evidence": {
"runId": "<string>",
"sequence": 4503599627370495
}
},
"cancelRequestedAtMs": 0,
"startedAtMs": 0,
"finishedAtMs": 0
},
"operation": {
"schemaVersion": 1,
"operationId": "<string>",
"organizationId": "<string>",
"kind": "<string>",
"state": "pending",
"idempotencyKey": "<string>",
"requestHash": "<string>",
"createdAtMs": 0,
"updatedAtMs": 0,
"projectId": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"error": {
"schemaVersion": 1,
"code": "<string>",
"source": "framework",
"message": "<string>",
"retryable": true,
"issues": [],
"correlationId": "<string>",
"details": {},
"evidence": {
"runId": "<string>",
"sequence": 4503599627370495
}
},
"result": {
"schemaVersion": 1,
"kind": "world.time.advance",
"operationId": "<string>",
"sessionId": "<string>",
"leaseGeneration": 4503599627370495,
"buildHash": "<string>",
"correlationId": "<string>",
"requestedUs": 0,
"startedUs": 0,
"reachedUs": 0,
"maxEvents": 500000,
"scheduledEventsProcessed": 0,
"evidenceBeforeSequence": 0,
"evidenceAfterSequence": 0,
"status": "completed",
"eventBudgetExhausted": true,
"failure": {
"code": "<string>",
"message": "<string>",
"scheduledEventId": "<string>"
}
},
"cancelRequestedAtMs": 0,
"startedAtMs": 0,
"finishedAtMs": 0
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Continue a repository authoring conversation
Continue a repository authoring conversation
Authorizations
Opaque control credential
Headers
Required string length:
8 - 128Pattern:
^[A-Za-z0-9._:-]+$Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^authsess_[0-9a-z]{12,32}$Body
application/json
Required string length:
1 - 32768Available options:
opus, sonnet, haiku Available options:
low, medium, high, xhigh, max Required range:
0 < x <= 200Required range:
0 < x <= 1000Required range:
1000 <= x <= 7200000